baseURL = "https://www.br0tcraft.de/"
languageCode = "de-de"
title = "br0tcraft.de"
theme = "LoveIt"
publishdir = "/var/www/localhost/htdocs"

[menu]
  [[menu.main]]
    identifier = "blog"
    name = "Blog"
    url = "/blog/"
    title = ""
    weight = 1

[params]
  version = "0.2.X"
  description = "Hi, ich bin Tom!"
  defaultTheme = "auto"
  dateFormat = "2006-01-02"

  [params.app]
    title = "br0tcraft.de"
    noFavicon = false
    svgFavicon = ""
    themeColor = "#ffffff"
    iconColor = "#5bbad5"
    tileColor = "#da532c"

  [params.search]
    enable = true
    type = "lunr"
    contentLength = 4000
    placeholder = ""
    maxResultLength = 10
    snippetLength = 30
    highlightTag = "em"
    absoluteURL = false
    [params.search.algolia]
      index = ""
      appID = ""
      searchKey = ""

  [params.header]
    desktopMode = "fixed"
    mobileMode = "auto"

  [params.footer]
    enable = true
    custom = ''
    hugo = true
    copyright = true
    author = true
    since = 2021
    license = '<a rel="license external nofollow noopener noreffer" href="https://creativecommons.org/licenses/by-nc/4.0/" target="_blank">CC BY-NC 4.0</a>'

  [params.section]
    paginate = 20
    dateFormat = "01-02"
    rss = 10

  [params.list]
    paginate = 20
    dateFormat = "01-02"
    rss = 10

  [params.home]
    rss = 10
    [params.home.profile]
      enable = true
      title = "Hi, ich bin Tom!"
      avatarURL = "/images/avatar.png"
      subtitle = "Mein Spitzname ist Tim, Du darfst Mike zu mir sagen."
      typeit = true
      social = false 
      disclaimer = ""
    [params.home.posts]
      enable = true
      paginate = 6
      defaultHiddenFromHomePage = false

  [params.social]
    RSS = true # LoveIt NEW | 0.2.0

  [params.page]
    hiddenFromHomePage = false
    hiddenFromSearch = false
    twemoji = false
    lightgallery = false
    ruby = true
    fraction = true
    fontawesome = true
    linkToMarkdown = true
    rssFullText = false
    [params.page.toc]
      enable = true
      keepStatic = true
      auto = true
    [params.page.math]
      enable = true
      blockLeftDelimiter = ""
      blockRightDelimiter = ""
      inlineLeftDelimiter = ""
      inlineRightDelimiter = ""
      copyTex = true
      mhchem = true
    [params.page.code]
      copy = true
      maxShownLines = 10
    [params.page.mapbox]
      accessToken = ""
      lightStyle = "mapbox://styles/mapbox/light-v9"
      darkStyle = "mapbox://styles/mapbox/dark-v9"
      navigation = true
      geolocate = true
      scale = true
      fullscreen = true
    [params.page.share]
      enable = true
      Twitter = true
      Facebook = false
      Linkedin = false
      Whatsapp = true
      Pinterest = false
      Tumblr = false
      HackerNews = false
      Reddit = false
      VK = false
      Buffer = false
      Xing = false
      Line = true
      Instapaper = false
      Pocket = false
      Digg = false
      Stumbleupon = false
      Flipboard = false
      Weibo = false
      Renren = false
      Myspace = false
      Blogger = false
      Baidu = false
      Odnoklassniki = false
      Evernote = false
      Skype = false
      Trello = false
      Mix = false
    [params.page.comment]
      enable = true
    [params.page.library]
      [params.page.library.css]
        # someCSS = "some.css"
        # located in "assets/"
        # Or
        # someCSS = "https://cdn.example.com/some.css"
      [params.page.library.js]
        # someJavascript = "some.js"
        # located in "assets/"
        # Or
        # someJavascript = "https://cdn.example.com/some.js"
    # LoveIt CHANGED | 0.2.10 Page SEO config
    [params.page.seo]
      images = []
      [params.page.seo.publisher]
        name = ""
        logoUrl = ""

  [params.typeit]
    speed = 100
    cursorSpeed = 1000
    cursorChar = "|"
    duration = -1

  [params.verification]
    google = ""
    bing = ""
    yandex = ""
    pinterest = ""
    baidu = ""

  [params.seo]
    image = ""
    thumbnailUrl = ""

  [params.analytics]
    enable = false

  [params.cookieconsent]
    enable = true
    [params.cookieconsent.content]
      message = ""
      dismiss = ""
      link = ""

  [params.cdn]
    data = ""

  [params.compatibility]
    polyfill = false
    objectFit = false

[markup]
  [markup.highlight]
    codeFences = true
    guessSyntax = true
    lineNos = true
    lineNumbersInTable = true
    # false is a necessary configuration
    # (https://github.com/dillonzq/LoveIt/issues/158)
    noClasses = false
  [markup.goldmark]
    [markup.goldmark.extensions]
      definitionList = true
      footnote = true
      linkify = true
      strikethrough = true
      table = true
      taskList = true
      typographer = true
    [markup.goldmark.renderer]
      unsafe = true
  [markup.tableOfContents]
    startLevel = 2
    endLevel = 6

[author]
  name = "br0tcraft"
  email = "alex@br0tcraft.de"
  link = ""

[sitemap]
  changefreq = "weekly"
  filename = "sitemap.xml"
  priority = 0.5

[Permalinks]
  # posts = ":year/:month/:filename"
  posts = ":filename"

[privacy]
  [privacy.twitter]
    enableDNT = true
  [privacy.youtube]
    privacyEnhanced = true

[mediaTypes]
  [mediaTypes."text/plain"]
    suffixes = ["md"]

[outputFormats.MarkDown]
  mediaType = "text/plain"
  isPlainText = true
  isHTML = false

[outputs]
  home = ["HTML", "RSS", "JSON"]
  page = ["HTML", "MarkDown"]
  section = ["HTML", "RSS"]
  taxonomy = ["HTML", "RSS"]
  taxonomyTerm = ["HTML"]
